## clippoly 0.11

=== Makefile ===
#CCC	= g++ -B/usr/local/lib/gcc-lib/sparc-sun-solaris2.3/rotd/
CCC	= g++ -fno-implicit-templates
#CCC	= CC
# You can use gcc as a C compiler if cc doesn't work
CC	= gcc 
#CC	= cc -cckr
CCFLAGS	= -Wall -g -I. -DGEN_TEMPLATES
#CCFLAGS	= -g -I. 
CFLAGS	= -g -I.

# Uncomment the next four lines if your make does not know about .cc
# C++ files (like the SGI make)

.SUFFIXES:	.o .c .cc

.cc.o:
	$(CCC) $(CCFLAGS) -c $<

OBJ	= nclip.o primitives.o posadder.o poly.o test.o poly_io.o templates.o
LIBOBJ	= err.o graphadd.o graphmat.o graphmat++.o 

prog:	${OBJ} ${LIBOBJ}
	${CCC} $(CCFLAGS) -o prog ${OBJ} ${LIBOBJ} -lm

purify:	${OBJ} ${LIBOBJ}
	purify -collector=/usr/local/lib/gcc-lib/sun4/2.4.5/ld \
	${CCC} -o prog ${OBJ} ${LIBOBJ} -lm

test:	prog
	prog < in_file > out_file
	diff -b out_file.dist out_file

clean:
	rm -f *.o prog core out_file

=== debian/changelog ===
clippoly (0.11-7) unstable; urgency=medium

  * bump policy version
  * dh10
  * build dependencies for autoconf macros
  * harden
  * secure repo url
  * merge upstream tweaks: spelling

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 27 Feb 2017 09:41:20 +0000

clippoly (0.11-6) unstable; urgency=medium

  * support pkg-config clippoly by including .pc file

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 May 2014 10:59:28 +0100

clippoly (0.11-5) unstable; urgency=medium

  * bump policy version
  * lintian vcs-field-not-canonical

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Apr 2014 14:20:11 +0100

clippoly (0.11-4) unstable; urgency=low

  * flush debian/rules standard dh target phony declarations (closes: #720692)
  * support multiarch

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 24 Aug 2013 22:47:51 +0100

clippoly (0.11-3) unstable; urgency=low

  * bump policy version
  * insert m4 doorstop
  * dh9
  * multilib support
  * change priority from extra to optional
  * create and count rely upon m4/doorstop

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Apr 2012 20:07:40 +0100

clippoly (0.11-2) unstable; urgency=low

  * fix typo in debian/control
  * work around quilt patch representation restriction issue

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Aug 2011 09:27:24 +0200

clippoly (0.11-1) unstable; urgency=low

  * Initial release (Closes: #638013)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 29 Jun 2011 15:21:36 +0200

=== debian/control ===
Source: clippoly
Section: libs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 10), autoconf-archive, pkg-config
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.8
Homepage: http://clippoly.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/clippoly.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/clippoly.git

Package: libclippoly0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: polygon clipping routines, runtime library
 Robust routines for clipping polygons against each other: finding
 unions and intersections and differences of polygonal regions.
 Runtime library.

Package: libclippoly-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libclippoly0 (= ${binary:Version})
Description: polygon clipping routines, development library
 Robust routines for clipping polygons against each other: finding
 unions and intersections and differences of polygonal regions.
 Development library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Work around quilt patch inability to preserve file modes or
# represent deleted files.  This is done here because, by coincidence,
# it only creates trouble during testing.  (a) If test.cc is present,
# when "make test" runs it tries to compile test.cc rather than
# running the tests.  (b) The test scripts must be executable.
override_dh_auto_test:
	chmod --changes +x test0 test1 test2
	-rm --verbose --force test.cc err.h patchlevel.h err.3 err.c
	dh_auto_test

=== debian/watch ===
version=3
opts="uversionmangle=s/^pl/0./" \
 http://sf.net/clippoly/clippoly-(.*)\.tar\.gz
